Cannot edit Openstack Compute Resource

02/22/2014 04:17 PM - Daniel Lobato Garcia

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - OpenStack   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When editing a Openstack compute resource that was already properly associated with an URL and tenant, none of these can be

changed.

If you try to change one of these, the moment you click on "Load tenants", it actually performs a "Test connection" on the backend

and since it cannot find the old tenant, you can never save it.

```

Unable to save

Expected([200, 204]) <=> Actual(401 Unauthorized) response => #<Excon::Response:0x0000000ada7348

@data={:body=>"{\"error\": {\"message\": \"Could not find project, Personal dlobatog.\", \"code\": 401, \"title\": \"Unauthorized\"}}",

:headers=>{"Vary"=>"X-Auth-Token", "Content-Type"=>"application/json", "Content-Length"=>"106", "Date"=>"Sat, 22 Feb 2014

16:09:41 GMT"}, :status=>401, :remote_ip=>"192.168.27.100"}, @body="{\"error\": {\"message\": \"Could not find project, Personal

dlobatog.\", \"code\": 401, \"title\": \"Unauthorized\"}}", @headers={"Vary"=>"X-Auth-Token", "Content-Type"=>"application/json",

"Content-Length"=>"106", "Date"=>"Sat, 22 Feb 2014 16:09:41 GMT"}, @status=401, @remote_ip="192.168.27.100">

```

History

#1 - 02/24/2014 08:40 AM - Dominic Cleal

- Category set to Compute resources

#2 - 09/26/2014 07:10 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - OpenStack
